[Numpy-discussion] 1.0rc1 doesn't seem to work on AMD64

Peter Bienstman Peter.Bienstman at ugent.be
Thu Sep 21 06:28:02 CDT 2006


Hi,

I just installed rc1 on an AMD64 machine. but I get this error message when 
trying to import it:

Python 2.4.3 (#1, Sep 21 2006, 13:06:42)
[GCC 4.1.1 (Gentoo 4.1.1)] on linux2
Type "help", "copyright", "credits" or "license" for more information.
>>> import numpy
Traceback (most recent call last):
  File "<stdin>", line 1, in ?
  File "/usr/lib64/python2.4/site-packages/numpy/__init__.py", line 36, in ?
    import core
  File "/usr/lib64/python2.4/site-packages/numpy/core/__init__.py", line 7, 
in ?
    import numerictypes as nt
  File "/usr/lib64/python2.4/site-packages/numpy/core/numerictypes.py", line 
191, in ?
    _add_aliases()
  File "/usr/lib64/python2.4/site-packages/numpy/core/numerictypes.py", line 
169, in _add_aliases
    base, bit, char = bitname(typeobj)
  File "/usr/lib64/python2.4/site-packages/numpy/core/numerictypes.py", line 
119, in bitname
    char = base[0]
IndexError: string index out of range

Thanks!

Peter




More information about the Numpy-discussion mailing list